> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yoid.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Get presentation presets.



## OpenAPI

````yaml me-creds GET /presets/presentations
openapi: 3.0.0
info:
  version: 1.0.0
  title: Me Creds API
  description: >2-

          
    OpenAPI documentation for Me Creds API

          
      
    Following JSON:API spec https://jsonapi.org/format/ approach to response
    payload format.

          
     - [JSON - OpenAPI Specification](/me-creds/api/openapi.json)
servers:
  - url: https://test.didxtech.com/me-creds/api
    description: Test environment
security:
  - bearerAuth: []
paths:
  /presets/presentations:
    get:
      tags:
        - presets
      summary: Get presentation presets.
      responses:
        '200':
          description: List of presentation presets.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PresentationPresetListApiResponse'
components:
  schemas:
    PresentationPresetListApiResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/PresentationPresetResponse'
        links:
          $ref: '#/components/schemas/ApiLinks'
        meta:
          $ref: '#/components/schemas/ApiMeta'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ApiError'
      required:
        - data
    PresentationPresetResponse:
      type: object
      properties:
        id:
          type: string
        author:
          type: string
        templateName:
          type: string
        code:
          type: string
        templateDescription:
          type: string
        templateCredentials:
          type: array
          items:
            $ref: '#/components/schemas/PresentationCredential'
        verifierConfig:
          $ref: '#/components/schemas/VerifierConfig'
        createdAt:
          type: string
        updatedAt:
          type: string
      required:
        - id
        - author
        - templateName
        - code
        - templateDescription
        - templateCredentials
        - verifierConfig
        - createdAt
        - updatedAt
      example:
        id: didx:basic-identity-request
        author: didx
        code: basic-identity-request
        templateName: Basic Identity Request
        templateDescription: Standard request for basic identity information
        templateCredentials:
          - format: sd-jwt-vc
            name: Basic Identity Credential
            description: A credential containing basic identity information
            type: https://didx.co.za/vct/didx/basic-identity
            attributes:
              firstName:
                type: string
              lastName:
                type: string
          - format: mdoc
            name: Mobile Driving Licence
            description: ISO 18013-5 mDL credential
            type: org.iso.18013.5.1.mDL
            trustedIssuers: []
            attributes:
              org.iso.18013.5.1:
                properties:
                  given_name:
                    intentToRetain: false
                  family_name:
                    intentToRetain: false
        verifierConfig:
          signer: did:web
        createdAt: '2025-02-20T11:27:37.051Z'
        updatedAt: '2025-02-20T11:27:37.051Z'
    ApiLinks:
      type: object
      properties:
        self:
          type: string
          format: uri
        first:
          type: string
          format: uri
        last:
          type: string
          format: uri
        prev:
          type: string
          format: uri
        next:
          type: string
          format: uri
        related:
          type: string
          format: uri
    ApiMeta:
      type: object
      additionalProperties:
        nullable: true
    ApiError:
      type: object
      properties:
        id:
          type: string
        status:
          type: string
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              type: string
            parameter:
              type: string
        meta:
          type: object
          additionalProperties:
            nullable: true
      required:
        - detail
    PresentationCredential:
      oneOf:
        - $ref: '#/components/schemas/SdJwtPresentationCredential'
        - $ref: '#/components/schemas/MdocPresentationCredential'
      discriminator:
        propertyName: format
        mapping:
          sd-jwt-vc:
            $ref: '#/components/schemas/SdJwtPresentationCredential'
          mdoc:
            $ref: '#/components/schemas/MdocPresentationCredential'
    VerifierConfig:
      oneOf:
        - type: object
          properties:
            signer:
              type: string
              enum:
                - did:web
          required:
            - signer
        - type: object
          properties:
            signer:
              type: string
              enum:
                - certificate
            keyType:
              type: string
              enum:
                - P-256
                - Ed25519
          required:
            - signer
    SdJwtPresentationCredential:
      type: object
      properties:
        format:
          type: string
          enum:
            - sd-jwt-vc
        type:
          type: string
          description: Verifiable Credential Type (VCT) URL
        attributes:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/SdJwtPresentationAttribute'
        name:
          type: string
        description:
          type: string
        issuers:
          type: array
          items:
            type: string
        trustedIssuers:
          type: array
          items:
            type: string
      required:
        - format
        - type
        - attributes
    MdocPresentationCredential:
      type: object
      properties:
        format:
          type: string
          enum:
            - mdoc
        type:
          type: string
          description: Mdoc document type
        attributes:
          $ref: '#/components/schemas/MdocPresentationNamespace'
        name:
          type: string
        description:
          type: string
        trustedIssuers:
          type: array
          items:
            type: string
      required:
        - format
        - type
        - attributes
    SdJwtPresentationAttribute:
      anyOf:
        - type: object
          properties:
            type:
              type: string
              enum:
                - string
            value:
              type: string
          required:
            - type
        - type: object
          properties:
            type:
              type: string
              enum:
                - number
            value:
              type: number
            minimum:
              type: number
            maximum:
              type: number
          required:
            - type
        - type: object
          properties:
            type:
              type: string
              enum:
                - boolean
            value:
              type: boolean
          required:
            - type
        - type: object
          properties:
            type:
              type: string
              enum:
                - date
            value:
              type: string
          required:
            - type
        - type: object
          properties:
            type:
              type: string
              enum:
                - object
            properties:
              type: object
              additionalProperties:
                nullable: true
          required:
            - type
            - properties
        - type: object
          properties:
            type:
              type: string
              enum:
                - array
            items:
              nullable: true
          required:
            - type
        - type: object
          properties: {}
          additionalProperties: false
    MdocPresentationNamespace:
      type: object
      additionalProperties:
        type: object
        properties:
          properties:
            type: object
            additionalProperties:
              type: object
              properties:
                intentToRetain:
                  type: boolean
        required:
          - properties
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````